Chuyển đến nội dung
Diễn đàn CADViet
  • Thông báo

    • Nguyen Hoanh

      CADViet đã hoàn tất nâng cấp   14/09/2017

      Chào các bạn, CADViet đã hoàn tất việc nâng cấp lên phiên bản mới. Tất cả các chức năng đã hoạt động theo kỳ vọng của ban quản trị. Nếu có vấn đề gì cần phản hồi, các bản post ở đây nhé: Trân trọng, Nguyễn Hoành.
Jin Yong

Hỏi về Lisp (thuật toán, ý tưởng, coding,...)

Các bài được khuyến nghị

phamhuy1    3

Mục đích là gì vậy em?

Có cùng mục đích với anh không? :D

Cho em hỏi anh dùng phần mềm gì quay lại thao tác làm việc trên computer thế a Duân :(

Chia sẻ bài đăng này


Liên kết tới bài đăng
Chia sẻ trên các trang web khác
thanhduan2407    226

Cho em hỏi anh dùng phần mềm gì quay lại thao tác làm việc trên computer thế a Duân :(

 

 

Link: http://www.mediafire.com/download/k9hp0oeaospza2w/%5BBlueberry%5D_BB+FlashBack+Pro+3.02.1975+Incl.KeyCore.rar

  • Vote tăng 1

Chia sẻ bài đăng này


Liên kết tới bài đăng
Chia sẻ trên các trang web khác

Em có ý tưởng thế này. Trước giờ mình vẫn hay lưu tất cả các file lisp vào chung một folder nào đó. Xong sau đó appload và add contents tất cả chúng vào. Có cách nào mà add chúng vào mà chỉ cần gõ một lệnh nhờ lisp không nhỉ. Em vừa đọc trên diễn đàn thấy có bác làm được với cái menu.

Chia sẻ bài đăng này


Liên kết tới bài đăng
Chia sẻ trên các trang web khác
Doan Van Ha    2.676

Các bác ơi cho em hỏi tên biến hệ thống của đơn vị bản vẽ ví dụ như là inch, met là gì với ạ. Và cả biến của chế độ bật tắt orthor nữa. Thanks các bác.

Đây bạn!

INSUNITS

ORTHOMODE

  • Vote tăng 2

Chia sẻ bài đăng này


Liên kết tới bài đăng
Chia sẻ trên các trang web khác

Tuần mới chúc các bác dồi dào sức khoẻ tràn đầy niềm vui, gia đình cadviet ngày càng phát triển.

Em đang tập tành viết code, em thấy các lệnh mặc định của autocad có chế độ lựa chọn nhiều option, ví dụ như này:

Command: -layer
Current layer:  "0"
Enter an option
[?/Make/Set/New/ON/OFF/Color/Ltype/LWeight/MATerial/Plot/Freeze/Thaw/LOck/Unlock
/stAte]:

 

Để làm được như thế này thì mình dùng những hàm nào ạ. Các bác có thể gợi ý cho em được không. :D

Chia sẻ bài đăng này


Liên kết tới bài đăng
Chia sẻ trên các trang web khác
Doan Van Ha    2.676

Tuần mới chúc các bác dồi dào sức khoẻ tràn đầy niềm vui, gia đình cadviet ngày càng phát triển.

Em đang tập tành viết code, em thấy các lệnh mặc định của autocad có chế độ lựa chọn nhiều option, ví dụ như này:

Command: -layer

Current layer:  "0"

Enter an option

[?/Make/Set/New/ON/OFF/Color/Ltype/LWeight/MATerial/Plot/Freeze/Thaw/LOck/Unlock

/stAte]:

 

Để làm được như thế này thì mình dùng những hàm nào ạ. Các bác có thể gợi ý cho em được không. :D

Bạn nghiên cứu 2 hàm dưới đây thì làm được:

initget

getkword

  • Vote tăng 1

Chia sẻ bài đăng này


Liên kết tới bài đăng
Chia sẻ trên các trang web khác

Khi em đặt biến hệ thống angdir bằng 1 và angbase bằng Pi/2 với mục đích là đặt góc quay trong cad theo clockwise và góc bằng 0 tại trục Y trong autocad. Nhưng kết quả không như mong đợi có lẽ tại biến angbase. Các bác chỉ cho em cách giải quyết vấn đề này với ạ. Thanks các bác

Chia sẻ bài đăng này


Liên kết tới bài đăng
Chia sẻ trên các trang web khác

Thử nhập Angbase tính theo độ xem sao :)

hi hi, hôm qua do tẩu hỏa nhập ma nên không biết sai đâu thầy ạ. Hôm nay kiểm tra lại đúng angbase phải nhập theo radian. Ví dụ đặt (setvar "angbase" (/ pi 2)) thì cad sẽ tính góc quay bằng không bắt đầu từ trục y

Chia sẻ bài đăng này


Liên kết tới bài đăng
Chia sẻ trên các trang web khác
Tue_NV    3.841

mọi người cho em hỏi phím "Delete" ,"ctrl + A"  trong lisp mình code như thế nào vậy? :)

 

(sssetfirst nil (ssget "A"))

Chia sẻ bài đăng này


Liên kết tới bài đăng
Chia sẻ trên các trang web khác
ketxu    2.649

hi hi, hôm qua do tẩu hỏa nhập ma nên không biết sai đâu thầy ạ. Hôm nay kiểm tra lại đúng angbase phải nhập theo radian. Ví dụ đặt (setvar "angbase" (/ pi 2)) thì cad sẽ tính góc quay bằng không bắt đầu từ trục y

 

Nếu nhập trực tiếp chứ k phải setvar sẽ khác đó

  • Vote tăng 1

Chia sẻ bài đăng này


Liên kết tới bài đăng
Chia sẻ trên các trang web khác
luhaivinh    9

Ý của em không phải là thao tác ngoài bản vẻ.Trường hợp edit kích thước khi pick chuột vào số cần edit thì làm sao em xoá được số cũ để ghi số mới đó bác Tuệ

Em đang muốn viêt lệnh edit kích thước mọi người giúp em với. :)

Chia sẻ bài đăng này


Liên kết tới bài đăng
Chia sẻ trên các trang web khác
Tue_NV    3.841

Ý của em không phải là thao tác ngoài bản vẻ.Trường hợp edit kích thước khi pick chuột vào số cần edit thì làm sao em xoá được số cũ để ghi số mới đó bác Tuệ

Em đang muốn viêt lệnh edit kích thước mọi người giúp em với. :)

Như vầy chăng :

(command ".ddedit" (car(entsel "Pick vao doi tuong can edit: ")))

Chia sẻ bài đăng này


Liên kết tới bài đăng
Chia sẻ trên các trang web khác
hiepttr    523

Hoặc là thế này có được ko ?!

Khi (entget(car(entsel))) >>> chọn dim chưa edit >>>> thu được một mớ bòng bong, trong đó (1 . "")

 

>>> để edit, bạn subst thay (1 . "NOI_DUNG_MOI") vào chổ đó

Chia sẻ bài đăng này


Liên kết tới bài đăng
Chia sẻ trên các trang web khác

Tạo một tài khoản hoặc đăng nhập để nhận xét

Bạn cần phải là một thành viên để lại một bình luận

Tạo tài khoản

Đăng ký một tài khoản mới trong cộng đồng của chúng tôi. Điều đó dễ mà.

Đăng ký tài khoản mới

Đăng nhập

Bạn có sẵn sàng để tạo một tài khoản ? Đăng nhập tại đây.

Đăng nhập ngay


×